# Gimp.Image.get_parasite_list

    @accepts(Gimp.Image)
    @returns([unicode])
    def get_parasite_list(self):
        # Python wrapper for gimp_image_get_parasite_list()

List all parasites.

Returns a list of the names of all currently attached parasites. These names can later be used to get the actual Gimp.Parasite with Gimp.Image.get_parasite when needed.

Since 2.8

self

  The image.

Returns